<template>
    <!-- 弹出框表单 -->
    <el-dialog :title="title" :visible.sync="open" width="90%" append-to-body>
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="产品id" prop="productId" v-model="form.productId" placeholder="请输入产品id"/>
                            <Field label="产品名称" prop="productName" v-model="form.productName" type="textarea" placeholder="请输入产品名称"/>
                            <Field label="问题" prop="question" v-model="form.question" type="textarea" placeholder="请输入问题"/>
                            <Field label="常见问题回答" prop="answer" v-model="form.answer" type="textarea" placeholder="请输入常见问题回答"/>

            </el-row>

        </el-form>
        <div slot="footer" class="dialog-footer">
            <el-button type="primary" v-if="pageInfo.type !== 'view'" @click="submitForm">确 定</el-button>
            <el-button @click="cancel">取 消</el-button>
        </div>
    </el-dialog>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    import dialogShow from "./dialogshow";
    export default {
        mixins: [form],
        components: {
            dialogShow ,
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "产品常见问题",
                // 是否显示弹出层
                open: false,
                toString:[
                ],
                // 表单校验
                rules: {
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="product/question/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改产品常见问题";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "product/question/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增产品常见问题";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="product/question/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "产品常见问题详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    productId : null,
                    productName : "",
                    question : "",
                    answer : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
